# Mina::Newrelic

Provides New Relic integration for Mina.

_NOTE_: This is a trimmed down version of the newrelic capistrano recipe
[here](https://github.com/newrelic/rpm/blob/master/lib/new_relic/recipes.rb)

## Installation

Add this line to your application's Gemfile:

    gem 'mina-newrelic'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install mina-newrelic

## Usage

Add this to your `config/deploy.rb` file:

    require 'mina/newrelic'

_WARNING_: Invoking the task through the mina `deploy.rb` file as shown below will cause the notification to happen
before any of the other tasks are run due to the way mina evaluates the tasks. Hopefully this should be fixed soon.

Then either invoke the task as part of the deployment process:

```ruby
to :launch do
  invoke 'unicorn:restart'

  invoke 'newrelic:notice_deployment'
end
```

Or, run the task explicitly:

    $ mina newrelic:notice_deployment

### Configurable options:

* `newrelic_rails_env`
* `newrelic_revision`
* `newrelic_desc`
* `newrelic_changelog`
* `newrelic_appname`
* `newrelic_user`
* `newrelic_license_key`

## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
